import 'package:apk_update/apk_update.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: InkWell(
          onTap: () {
            ApkUpdate().checkAppVersion(
                    baseUrl: "https://api.clxkj.cn:8088",
                    versionNumber: 1,
                    productNo: 27,
                    onceDay: false,
                    appleId: "1585610919") ??
                'Unknown platform version';
          },
          child: const Center(
            child: Text('Running on: 升级应用'),
          ),
        ),
      ),
    );
  }
}
